Subject: Trainer Candidate - GEET KURICHH
From: GEET KURICHH <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 23 Nov 2022 13:27:57 -0500

| | Tech Support Test

Name | GEET KURICHH
E-mail | [email-masked]
Phone Number | (91) 9717978884
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute only using Metro
Where do you currently live (area) | Krishna Nagar, Delhi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | SMC Insurance Brokers Pvt. Ltd | Manager - POS Operations | Currently Working | 37310
Previous Employer 1 | SMC Insurance Brokers Pvt. Ltd | Assistant Manger | 19 July 2011 | 19000
Previous Employer 2 | Suprasesh Reinsurance Brokers | Commercial Manager | May 2008 | 13000

If Selected, how much time do you need to join? | 30 - 60 days
Please briefly describe your work experience specifically in Quality? | I have not exactly worked as a Quality Manager. But I am supervising Inbound & Operations processes since last 7 years and I am well versed with Qulity parameters as internal audit on quality & training is conducted on weekly basis in our processes.
Have you worked as a Quality Manager in a Call Center/Customer Service/BPO Environment? | No
Please tell us below in 300 - 500 words about the most difficult situation in your experience as someone who is responsible to manage and bring improvements in quality of your team | Most difficult situation was during covid times when we had to manage Inbound through WFH, including keeping a cross check on login of all team members and not compromising with the call quality. We got an additional task of outbound and under my supervision it was successfully managed. Have got rewarded and received accolade from the Director itseld
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Difference is all about maintaining good relationship with customer while being empathetic and resolve their problems with stipulated timelines
What according to you makes you a good candidate for this position? | My experience & expertise and ability to handle team along with maintaining cordial relation with team members that motivates them to work harder and complete their tasks happily.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |